spring:
  servlet:
  multipart:
    enabled: true #默认支持文件上传
    max-file-size: -1  #不做限制
    max-request-size: 1  #不做限制
  redis:
    # Redis数据库索引（默认为0）
    database: 1
    # Redis服务器地址
    host: localhost
    password: wxlwxl12
  datasource:
    driver-class-name: com.p6spy.engine.spy.P6SpyDriver
    url: jdbc:p6spy:mysql://127.0.0.1:3306/ddxhs?useSSL=false&autoReconnect=true&useUnicode=true&characterEncoding=utf-8&serverTimezone=GMT%2B8
    username: root
    password: wxlwxl12

  jackson:
    #配置日期返回格式
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
dd:
  uploadPath: /www/xhs/upload/

knife4j:
  enable: true
#here is the importance configs of JWT
#jwt:
#  header: Authorization #请求头权限标识
#  expiration: 604800 #7天 604800
#  secret: security
#  # 配置不需要认证的接口
#  ignores:
#    # 需要过滤的 post 请求
#    post:
#      - "/admin/login/**"
#    # 需要过滤的 get 请求
#    get:
#      - "/favicon.ico"
#    # 需要过滤的请求，不限方法
#    pattern:
#      - "/api/**"
#      - "/appUpload/**"
#      - "/upload/**"
#      - "/doc.html"
#      - "/swagger-resources/**"
#      - "/v2/api-docs/**"
#      - "/webjars/**"
#      - "/**.txt"
#================================================= mybatis-plus start =================================================
mybatis-plus:
  #配置文件
  mapper-locations: classpath*:com/dd/admin/system/*/mapper/xml/*Mapper.xml,com/dd/admin/business/*/mapper/xml/*Mapper.xml
  configuration:
    log-impl:
#    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
#================================================= mybatis-plus end ===================================================

server:
  port: 8080
#  tomcat:
#    max-swallow-size: -1
#    max-http-form-post-size: 52428800
#  servlet:
#    max-http-post-size: 52428800
